import { IDisposable } from '@lumino/disposable';
import { JupyterFrontEndPlugin } from '@jupyterlab/application';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { NotebookPanel, INotebookModel } from '@jupyterlab/notebook';
/**
 * import * as crypto from 'crypto';
 * import * as fs from 'fs';
 * import * as path from 'path';
 */
/**
 * The plugin registration information.
 */
declare const plugin: JupyterFrontEndPlugin<void>;
/**
 * A notebook widget extension that adds a button to the toolbar.
 */
export declare class ButtonExtension implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    /**
     * Create a new extension object.
     */
    createNew(panel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
}
/**
 * Export the plugin as default.
 */
export default plugin;
